%define upstream_name    Test-Requires
%define upstream_version 0.10

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	1

Summary:	Checks to see if the module can be loaded

License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Build)
BuildRequires:	perl(Test::More)
BuildRequires:	perl-devel

BuildArch:	noarch

%description
Test::Requires checks to see if the module can be loaded.

If this fails rather than failing tests this *skips all tests*.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc  META.yml Changes
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog

* Sun Dec 27 2015 Denis Silakov <dsilakov@gmail.com> 0.100.0-1
- (57652ad) Updated to 0.10 (by updates_builder)


